# Class ApplicationContextEvent

java.lang.Object
java.util.EventObject
org.eclipse.rap.rwt.service.ApplicationContextEvent

All Implemented Interfaces:
  `Serializable`

public class ApplicationContextEvent extends EventObject
Events of this type signal a state change of an application context.

Since:
  2.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ApplicationContextEvent(ApplicationContext context)`
Creates a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`ApplicationContext`
`getApplicationContext()`
Returns the application context that this event is related to.

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ApplicationContextEvent

public ApplicationContextEvent(ApplicationContext context)
Creates a new instance of this class.

Parameters:
  `context` - the application context for this event

## Method Details

### getApplicationContext

public ApplicationContext getApplicationContext()
Returns the application context that this event is related to.

Returns:
  the application context